--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: output_helpers
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: tagset
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: ignore_helpers
- !ruby/object:RI::MethodSummary 
  name: ignored_helpers
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: set
comment: 
- !ruby/struct:SM::Flow::P 
  body: The Markaby::Builder class is the central gear in the system. When using from Ruby code, this is the only class you need to instantiate directly.
- !ruby/struct:SM::Flow::VERB 
  body: "  mab = Markaby::Builder.new\n  mab.html do\n    head { title &quot;Boats.com&quot; }\n    body do\n      h1 &quot;Boats.com has great deals&quot;\n      ul do\n        li &quot;$49 for a canoe&quot;\n        li &quot;$39 for a raft&quot;\n        li &quot;$29 for a huge boot that floats and can fit 5 people&quot;\n      end\n    end\n  end\n  puts mab.to_s\n"
constants: []

full_name: Markaby::Builder
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "<<"
- !ruby/object:RI::MethodSummary 
  name: _erbout
- !ruby/object:RI::MethodSummary 
  name: _erbout
- !ruby/object:RI::MethodSummary 
  name: capture
- !ruby/object:RI::MethodSummary 
  name: concat
- !ruby/object:RI::MethodSummary 
  name: content_for
- !ruby/object:RI::MethodSummary 
  name: head
- !ruby/object:RI::MethodSummary 
  name: html_tag
- !ruby/object:RI::MethodSummary 
  name: method_missing
- !ruby/object:RI::MethodSummary 
  name: tag!
- !ruby/object:RI::MethodSummary 
  name: text
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: xhtml_strict
- !ruby/object:RI::MethodSummary 
  name: xhtml_transitional
name: Builder
superclass: Object
